Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Hash_Map_Manager_Ex_Iterator_Adapter Class Template Reference

Defines a iterator implementation for the Hash_Map_Manager_Adapter. More...

`#include <Map_T.h>`

Inheritance diagram for ACE_Hash_Map_Manager_Ex_Iterator_Adapter:

[legend]
Collaboration diagram for ACE_Hash_Map_Manager_Ex_Iterator_Adapter:

[legend]
List of all members.

## Public Types
typedef ACE_TYPENAME ACE_Hash_Map_Manager_Ex< KEY, VALUE, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex >::iterator | implementation
## Public Methods
| ACE_Hash_Map_Manager_Ex_Iterator_Adapter (const ACE_Hash_Map_Iterator_Ex< KEY, VALUE, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex > &impl)
| Constructor. More...
virtual | ~ACE_Hash_Map_Manager_Ex_Iterator_Adapter (void)
| Destructor. More...
virtual ACE_Iterator_Impl< T > * | clone (void) const
| Clone. More...
virtual int | compare (const ACE_Iterator_Impl< T > &rhs) const
| Comparison. More...
virtual T | dereference (void) const
| Dereference. More...
virtual void | plus_plus (void)
| Advance. More...
virtual void | minus_minus (void)
| Reverse. More...
ACE_Hash_Map_Iterator_Ex< KEY, VALUE, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex > & | impl (void)
| Accessor to implementation object. More...
## Protected Attributes
ACE_Hash_Map_Iterator_Ex< KEY, VALUE, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex > | implementation_
| All implementation details are forwarded to this class. More...

## Detailed Description

### template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
class ACE_Hash_Map_Manager_Ex_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >

Defines a iterator implementation for the Hash_Map_Manager_Adapter.

Implementation to be provided by ACE_Hash_Map_Manager_Ex::iterator.

## Member Typedef Documentation

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
typedef ACE_TYPENAME ACE_Hash_Map_Manager_Ex<KEY, VALUE, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex>::iterator ACE_Hash_Map_Manager_Ex_Iterator_Adapter::implementation

## Constructor & Destructor Documentation

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_INLINE ACE_Hash_Map_Manager_Ex_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::ACE_Hash_Map_Manager_Ex_Iterator_Adapter | ( | const ACE_Hash_Map_Iterator_Ex< KEY, VALUE, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex > & | impl | ) |

| Constructor.

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_INLINE ACE_Hash_Map_Manager_Ex_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::~ACE_Hash_Map_Manager_Ex_Iterator_Adapter | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_INLINE ACE_Iterator_Impl< T > * ACE_Hash_Map_Manager_Ex_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::clone | ( | void |  | ) | const`[virtual]`

| Clone. Reimplemented from ACE_Iterator_Impl.

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_INLINE int ACE_Hash_Map_Manager_Ex_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::compare | ( | const ACE_Iterator_Impl< T > & | rhs | ) | const`[virtual]`

| Comparison. Reimplemented from ACE_Iterator_Impl.

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_INLINE T ACE_Hash_Map_Manager_Ex_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::dereference | ( | void |  | ) | const`[virtual]`

| Dereference. Reimplemented from ACE_Iterator_Impl.

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_INLINE ACE_Hash_Map_Iterator_Ex< KEY, VALUE, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex > & ACE_Hash_Map_Manager_Ex_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::impl | ( | void |  | ) |

| Accessor to implementation object.

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_INLINE void ACE_Hash_Map_Manager_Ex_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::minus_minus | ( | void |  | ) | `[virtual]`

| Reverse. Reimplemented from ACE_Iterator_Impl.

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_INLINE void ACE_Hash_Map_Manager_Ex_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::plus_plus | ( | void |  | ) | `[virtual]`

| Advance. Reimplemented from ACE_Iterator_Impl.

## Member Data Documentation

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_Hash_Map_Iterator_Ex<KEY, VALUE, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex> ACE_Hash_Map_Manager_Ex_Iterator_Adapter::implementation_`[protected]`

| All implementation details are forwarded to this class.

The documentation for this class was generated from the following files:

- Map_T.h
- Map_T.i